#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%define		pdir	Algorithm
%define		pnam	Dependency
Summary:	Algorithm::Dependency - Base class for implementing various dependency trees
Summary(pl.UTF-8):	Algorithm::Dependency - podstawowa klasa do tworzenia różnych drzew zależności
Name:		perl-Algorithm-Dependency
Version:	1.112
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Algorithm/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d848624b0c483adf7f7f60f6ae2edc8f
URL:		https://metacpan.org/release/Algorithm-Dependency
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-Params-Util >= 0.31
BuildRequires:	perl-Scalar-List-Utils >= 1.11
BuildRequires:	perl-Test-ClassAPI >= 0.6
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Base class for implementing various dependency trees.

%description -l pl.UTF-8
Podstawowa klasa do tworzenia różnych drzew zależności.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Algorithm/*.pm
%{perl_vendorlib}/Algorithm/Dependency
%{_mandir}/man3/*
%changelog
* Wed May 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Algorithm-Dependency.git;a=log;h=master

* Wed May 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 4a18990
- updated to 1.112

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7499d1e
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Feb 20 2019 Adam Gołębiowski <adamg@pld-linux.org> 668a750
- updated to 1.111

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 7cfbf91
- updated to 1.110

* Thu Mar 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 881852d
- generic URL, cosmetics

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> c1ea47f
- up to 1.104

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> c1393a5
- fixed %files, release 2

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> 9f3db9c
- initial spec for PLD

